Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros
version.h File Reference
`#include "ruby/version.h"`
`#include "revision.h"`

Go to the source code of this file.

## Macros
#define | RUBY_VERSION_MAJOR RUBY_API_VERSION_MAJOR
#define | RUBY_VERSION_MINOR RUBY_API_VERSION_MINOR
#define | RUBY_VERSION_TEENY 0
#define | RUBY_RELEASE_DATE RUBY_RELEASE_YEAR_STR"-"RUBY_RELEASE_MONTH_STR"-"RUBY_RELEASE_DAY_STR
#define | RUBY_PATCHLEVEL 0
#define | RUBY_RELEASE_YEAR 2019
#define | RUBY_RELEASE_MONTH 12
#define | RUBY_RELEASE_DAY 25
#define | TOKEN_PASTE(x, y) x##y
#define | ONLY_ONE_DIGIT(x) TOKEN_PASTE(10,x) < 1000
#define | WITH_ZERO_PADDING(x) TOKEN_PASTE(0,x)
#define | RUBY_BIRTH_YEAR_STR STRINGIZE(RUBY_BIRTH_YEAR)
#define | RUBY_RELEASE_YEAR_STR STRINGIZE(RUBY_RELEASE_YEAR)
#define | RUBY_RELEASE_MONTH_STR STRINGIZE(RUBY_RELEASE_MONTH)
#define | RUBY_RELEASE_DAY_STR STRINGIZE(RUBY_RELEASE_DAY)
#define | RUBY_PATCHLEVEL_STR "p"STRINGIZE(RUBY_PATCHLEVEL)
#define | RUBY_REVISION_STR " revision "RUBY_REVISION
#define | RUBY_RELEASE_DATETIME RUBY_RELEASE_DATE
#define | RUBY_DESCRIPTION_WITH(opt)
#define | RUBY_COPYRIGHT

## Macro Definition Documentation

## ◆ ONLY_ONE_DIGIT

#define ONLY_ONE_DIGIT | ( |  | x | ) | TOKEN_PASTE(10,x) < 1000

Definition at line 16 of file version.h.

## ◆ RUBY_BIRTH_YEAR_STR

#define RUBY_BIRTH_YEAR_STR STRINGIZE(RUBY_BIRTH_YEAR)

Definition at line 18 of file version.h.

## ◆ RUBY_COPYRIGHT

#define RUBY_COPYRIGHT

Value:
"ruby - Copyright (C) " \
RUBY_BIRTH_YEAR_STR"-" \
RUBY_RELEASE_YEAR_STR" " \
RUBY_AUTHOR

Definition at line 73 of file version.h.

## ◆ RUBY_DESCRIPTION_WITH

#define RUBY_DESCRIPTION_WITH | ( |  | opt | ) |

Value:
"ruby "RUBY_VERSION \
RUBY_PATCHLEVEL_STR \
" ("RUBY_RELEASE_DATETIME \
RUBY_REVISION_STR")"opt" " \
"["RUBY_PLATFORM"]"

Definition at line 67 of file version.h.

## ◆ RUBY_PATCHLEVEL

#define RUBY_PATCHLEVEL 0

Definition at line 5 of file version.h.

## ◆ RUBY_PATCHLEVEL_STR

#define RUBY_PATCHLEVEL_STR "p"STRINGIZE(RUBY_PATCHLEVEL)

Definition at line 42 of file version.h.

## ◆ RUBY_RELEASE_DATE

#define RUBY_RELEASE_DATE RUBY_RELEASE_YEAR_STR"-"RUBY_RELEASE_MONTH_STR"-"RUBY_RELEASE_DAY_STR

Definition at line 4 of file version.h.

## ◆ RUBY_RELEASE_DATETIME

#define RUBY_RELEASE_DATETIME RUBY_RELEASE_DATE

Definition at line 64 of file version.h.

## ◆ RUBY_RELEASE_DAY

#define RUBY_RELEASE_DAY 25

Definition at line 9 of file version.h.

## ◆ RUBY_RELEASE_DAY_STR

#define RUBY_RELEASE_DAY_STR STRINGIZE(RUBY_RELEASE_DAY)

Definition at line 28 of file version.h.

## ◆ RUBY_RELEASE_MONTH

#define RUBY_RELEASE_MONTH 12

Definition at line 8 of file version.h.

## ◆ RUBY_RELEASE_MONTH_STR

#define RUBY_RELEASE_MONTH_STR STRINGIZE(RUBY_RELEASE_MONTH)

Definition at line 23 of file version.h.

## ◆ RUBY_RELEASE_YEAR

#define RUBY_RELEASE_YEAR 2019

Definition at line 7 of file version.h.

## ◆ RUBY_RELEASE_YEAR_STR

#define RUBY_RELEASE_YEAR_STR STRINGIZE(RUBY_RELEASE_YEAR)

Definition at line 19 of file version.h.

## ◆ RUBY_REVISION_STR

#define RUBY_REVISION_STR " revision "RUBY_REVISION

Definition at line 56 of file version.h.

## ◆ RUBY_VERSION_MAJOR

#define RUBY_VERSION_MAJOR RUBY_API_VERSION_MAJOR

Definition at line 1 of file version.h.

## ◆ RUBY_VERSION_MINOR

#define RUBY_VERSION_MINOR RUBY_API_VERSION_MINOR

Definition at line 2 of file version.h.

## ◆ RUBY_VERSION_TEENY

#define RUBY_VERSION_TEENY 0

Definition at line 3 of file version.h.

## ◆ TOKEN_PASTE

#define TOKEN_PASTE | ( |  | x,
|  |  | y
| ) |  | x##y

Definition at line 14 of file version.h.

## ◆ WITH_ZERO_PADDING

#define WITH_ZERO_PADDING | ( |  | x | ) | TOKEN_PASTE(0,x)

Definition at line 17 of file version.h.

RUBY_PLATFORM
#define RUBY_PLATFORM
Definition: defines.h:460